Name:		xenserverjava
Version:	5.6.100.1
Release:	%mkrel 9
Summary:	Java SDK for XenServer

Group:		Development/Java
License:	GPLv2 with exceptions
URL:		http://citrix.com
Source0:	http://community.citrix.com/download/attachments/38633496/XenServerJava-5.6.100-1-src.zip
Patch0:		%{name}-makefile.patch

BuildRequires:	java-devel >= 0:1.6.0 
BuildRequires:	jpackage-utils
BuildRequires:	xmlrpc-common
BuildRequires:	xmlrpc-client
BuildRequires:	ws-commons-util
BuildRequires:	dos2unix
Requires:	java >= 0:1.6.0
Requires:	jpackage-utils
Requires:	xmlrpc-common
Requires:	xmlrpc-client
Requires:	ws-commons-util

BuildArch:	noarch

%description
XenServer Java SDK for utilizing the XML-RPC interface of XenServer. 

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Java

%description javadoc
Javadoc for %{name}

%prep
%setup -qn XenServerJava
%patch0 -p1 
dos2unix README.txt

# Fixed javadoc build on JDK 8 (disabling the super-strict doclint checks)
sed -i 's|javadoc |javadoc -Xdoclint:none |' Makefile

%build
%make -j4
make docs

%install
mkdir -p $RPM_BUILD_ROOT%{_javadir}
install -m 644 xenserver-5.6.100-1.jar \
  $RPM_BUILD_ROOT%{_javadir}/xenserver-5.6.100-1.jar

#javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -a doc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}/

%files
%{_javadir}/xenserver-5.6.100-1.jar
%doc README.txt LICENSE.txt GPL-2

%files javadoc
%doc LICENSE.txt
%{_javadocdir}/*




%changelog
* Fri Mar 11 2016 daviddavid <daviddavid> 5.6.100.1-9.mga6
+ Revision: 989297
- fix javadoc build on JDK 8 (disabling the super-strict doclint checks)

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 5.6.100.1-8.mga5
+ Revision: 740852
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 5.6.100.1-7.mga5
+ Revision: 730737
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 5.6.100.1-6.mga5
+ Revision: 690590
- Mageia 5 Mass Rebuild

* Fri Jan 03 2014 dmorgan <dmorgan> 5.6.100.1-5.mga4
+ Revision: 564190
- Rebuild against fixed stack

* Fri Oct 18 2013 umeabot <umeabot> 5.6.100.1-4.mga4
+ Revision: 502327
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 28 2011 dmorgan <dmorgan> 5.6.100.1-2.mga2
+ Revision: 130333
- Use %%make macro
- imported package xenserverjava


* Fri May 27 2011 David Nalley <david@gnsa.us> - 5.6.100.1
- Initial packaging
